#include<iostream>

using namespace std;

#define mod 998244353

unsigned long long pow(int m, int n)
{
    unsigned long out = 1;
    for(int i = 0;i < m;i++)
    {
        out *= n;
        out %= mod;
    }
    return out;
}


int main()
{
    int n, m, k;
    cin >> n >> m >> k;
    cout << pow(n, m) << endl;


    return 0;
}
